# Tracking via UTM

## Overview

UTM parameters can be used to monitor when the links of specific notifications are clicked. You can get this data by using [custom campaigns](https://support.google.com/analytics/answer/1033863?hl=en) and adding special tags to the URLs.

## Configuring UTM Parameters

The following sections describe the configuration required to use UTM parameters.

### Set UTM Parameters

If you already have an existing campaign that you would like to use, please contact your parcelLab representative, confirming your UTM parameters and we will add these parameters to the corresponding URLs in the notifications.

The type of UTM parameters that can be used are described in the following table.

| UTM Parameter  | Necessity | Description                                           |
| -------------- | --------- | ----------------------------------------------------- |
| `utm_source`   | Required  | Use to identify the source of your traffic.           |
| `utm_medium`   | Required  | Use to identify the medium of the link that was used. |
| `utm_campaign` | Required  | Use to identify a strategic campaign.                 |
| `utm_term`     | Optional  | Use to identify keywords.                             |
| `utm_content`  | Optional  | Use to get additional details for A/B testing.        |

### Default UTM Parameters

If no UTM parameters are set, parcelLab will automatically apply default parameters.

The default parameters are described in the following table.

| UTM Parameter  | parcelLab Default UTM Parameter                                                                                                                                                                                                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `utm_source`   | `parcellab`                                                                                                                                                                                                                                                                                                               |
| `utm_medium`   | `email`                                                                                                                                                                                                                                                                                                                   |
| `utm_campaign` | `{{parcelLabMessageId}}`                                                                                                                                                                                                                                                                                                  |
| `utm_content`  | <ul><li><code>trackandtrace</code> (for links pointing to a page with our track & trace plugin)</li><li><code>recommendation</code> (for <a href="/pages/lBsVT1Lur1Wz5QaaAf0g#tracking-on-site-user-engagement-in-google-analytics">product recommendations</a>)</li><li><code>any</code> (for all other links)</li></ul> |

The `{{parcelLabMessageId}}` placeholder of the `utm_campaign` refers to the individual message name that is displayed in the parcelLab Portal (for example: "OutForDelivery"). This means customer behaviour can be monitored for each notification separately. An example of the parcelLab UTM parameters will look as follows.

```
...&utm_source=parcellab&utm_medium=email&utm_campaign=Delivered&utm_content=any
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/engage/messages-and-journeys/configuration/tracking-via-utm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
